# View

## Overview

A **View** object represents an individual table view in a [Database Server](/reference/servoycore/object-model/database-server.md).\
A database table view, often simply referred to as a "view," is a virtual or logical table generated by a query on one or more database tables. Users or applications can then query the view as if it were a regular table, even though it does not store any data itself.

## Properties Summary

The following properties can be configured for a View object:

| Property                                                                                           | Summary                                                                  |
| -------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ |
| [hiddenInDeveloper](/reference/servoycore/object-model/database-server/table.md#hiddenindeveloper) | Use this property to hide the view from the Servoy Developer environment |
| isMetadataTable                                                                                    | Returns whether table was flagged as metadata view                       |

## Events Summary

The following events can be handled for a View object.

| Property                                                                                                           | Summary                                                                                 |
| ------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------- |
| [onRecordInsert](/reference/servoycore/object-model/database-server/table.md#onrecordinsert)                       | occurs prior to a new record being inserted into the table                              |
| [onRecordUpdate](/reference/servoycore/object-model/database-server/table.md#onrecordupdate)                       | occurs prior to an existing record being updated in the database                        |
| [onRecordDelete](/reference/servoycore/object-model/database-server/table.md#onrecorddelete)                       | occurs prior to an existing record being deleted from the database                      |
| [afterRecordInsert](/reference/servoycore/object-model/database-server/table.md#afterrecordinsert)                 | occurs subsequent to a new record being inserted into the table                         |
| [afterRecordUpdate](/reference/servoycore/object-model/database-server/table.md#afterrecordupdate)                 | occurs subsequent to an existing record being updated in the database                   |
| [afterRecordDelete](/reference/servoycore/object-model/database-server/table.md#afterrecorddelete)                 | occurs subsequent to an existing record being deleted from the database                 |
| [onFoundSetRecordCreate](/reference/servoycore/object-model/database-server/table.md#onfoundsetrecordcreate)       | occurs prior to a new record being created in the foundset                              |
| [onFoundSetFind](/reference/servoycore/object-model/database-server/table.md#onfoundsetfind)                       | occurs prior to the foundset going into find mode                                       |
| [onFoundSetSearch](/reference/servoycore/object-model/database-server/table.md#onfoundsetsearch)                   | occurs prior to executing a search on the foundset                                      |
| [afterFoundSetRecordCreate](/reference/servoycore/object-model/database-server/table.md#afterfoundsetrecordcreate) | occurs subsequent to the creation of a new record                                       |
| [afterFoundSetFind](/reference/servoycore/object-model/database-server/table.md#afterfoundsetfind)                 | occurs subsequent to entering find mode                                                 |
| [afterFoundSetSearch](/reference/servoycore/object-model/database-server/table.md#afterfoundsetsearch)             | occurs subsequent to performing the search for a foundset                               |
| [onValidate](/reference/servoycore/object-model/database-server/table.md#onvalidate)                               | occurs before an insert operation, it can block the insert operation by returning false |

## Properties Details

See [Table Properties Details](/reference/servoycore/object-model/database-server/table.md#properties-details).

## Events Details

See [Table Events Details](/reference/servoycore/object-model/database-server/table.md#events-details).

## Column

See [Table Column](/reference/servoycore/object-model/database-server/table/column.md#properties-details).

## Calculation

See [Table Calculation](/reference/servoycore/object-model/database-server/table/calculation.md#properties-details).

## Method

See [Table Method](/reference/servoycore/object-model/database-server/table/method.md#properties-details).

## Aggregration

See [Table Aggregration](https://github.com/Servoy/gitbook/blob/master/reference/servoycore/object-model/database-server/table/aggregration.md#properties-details).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/object-model/database-server/view.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
